Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceMetrics & DebuggingGET /v0/pipelines/{pipeline_name}/time_series

Get Time Series Stats

GET/v0/pipelines/{pipeline_name}/time_seriesMetrics & Debugging

Try it

GET/v0/pipelines/{pipeline_name}/time_series
Authentication
Parameters

Retrieve time series for statistics of a running or paused pipeline.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
pipeline_namestringYesUnique pipeline name

Response

200Pipeline time series retrieved successfullyapplication/json
  • object
    Time series to make graphs in the web console easier.
    • nowstring (date-time)required
      Current time as of the creation of the structure.
    • samplesSampleStatistics[]required
      Time series. These report 60 seconds of samples, one per second.
404Pipeline with that name does not existapplication/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
503application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/time_series' \ -H 'Authorization: Bearer YOUR_TOKEN'
Response
{ "message": "Unknown pipeline name 'non-existent-pipeline'", "error_code": "UnknownPipelineName", "details": { "pipeline_name": "non-existent-pipeline" } }